Social API reference

Social API · Tags

post/v1/communities/{community_id}/posts/{post_id}/tags/{tagged_actor_id}/removeAuth

Remove a tag (tagged actor or post author).

Flips the tag to `removed`. Removable by either the tagged actor or the post author (403 otherwise). Idempotent on an already-removed tag.

Path parameters

community_id*string

Community UUID.

post_id*string

Post UUID.

tagged_actor_id*string

Tagged actor UUID.

Request body

actor_id*string · uuid

The actor performing the action (approve: the tagged actor; remove: the tagged actor or the post author).

Example: "aaaaaaaa-0000-0000-0000-000000000002"

Response · 201 Tag removed.

id*string · uuid

Tag UUID.

Example: "ffffffff-0000-0000-0000-000000000001"

community_id*string · uuid

Owning community UUID.

Example: "cccccccc-cccc-cccc-cccc-cccccccccccc"

post_id*string · uuid

Tagged post UUID.

Example: "bbbbbbbb-0000-0000-0000-000000000001"

tagged_actor_id*string · uuid

Tagged actor UUID.

Example: "aaaaaaaa-0000-0000-0000-000000000002"

state*object

Lifecycle state.

Example: "approved"

metadata*object

Opaque customer-defined metadata blob.

Example: null

created_at*string · date-time

ISO timestamp the tag was created.

Example: "2026-05-01T12:00:00.000Z"

updated_at*string · date-time

ISO timestamp of the last state change.

Example: "2026-05-01T12:05:00.000Z"

Example

Request

POST https://social.productcraft.co/v1/communities/{community_id}/posts/{post_id}/tags/{tagged_actor_id}/remove
Authorization: Bearer YOUR_TOKEN
Content-Type: application/json

{
  "actor_id": "aaaaaaaa-0000-0000-0000-000000000002"
}

Response

{
  "id": "ffffffff-0000-0000-0000-000000000001",
  "community_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
  "post_id": "bbbbbbbb-0000-0000-0000-000000000001",
  "tagged_actor_id": "aaaaaaaa-0000-0000-0000-000000000002",
  "state": "approved",
  "metadata": null,
  "created_at": "2026-05-01T12:00:00.000Z",
  "updated_at": "2026-05-01T12:05:00.000Z"
}